commit: 7b458ea982b270ec5a50b2923a4ff9c58ab6fbc0
Author: Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Fri May 20 15:38:22 2016 +0000
Commit: Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Fri May 20 15:40:53 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b458ea9
sys-apps/lshw: switch to l10n eclass to handle locales
sys-apps/lshw/lshw-02.17b-r2.ebuild | 21 ++++++++-------------
1 file changed, 8 insertions(+), 13 deletions(-)
diff --git a/sys-apps/lshw/lshw-02.17b-r2.ebuild
b/sys-apps/lshw/lshw-02.17b-r2.ebuild
index 5d7131c..bf6c999 100644
--- a/sys-apps/lshw/lshw-02.17b-r2.ebuild
+++ b/sys-apps/lshw/lshw-02.17b-r2.ebuild
@@ -3,7 +3,10 @@
# $Id$
EAPI=5
-inherit flag-o-matic eutils toolchain-funcs
+
+PLOCALES='fr'
+
+inherit flag-o-matic eutils toolchain-funcs l10n
MAJ_PV=${PV:0:${#PV}-1}
MIN_PVE=${PV:0-1}
@@ -36,19 +39,11 @@ src_prepare() {
"${FILESDIR}"/${P}-gentoo.patch \
"${FILESDIR}"/${P}-fat.patch \
"${FILESDIR}"/${P}-musl.patch
- # correct gettext behavior
- if [[ -n "${LINGUAS+x}" ]] ; then
- local langs
- for i in $(cd src/po ; echo *.po | sed 's/\.po//') ; do
- if has ${i} ${LINGUAS} ; then
- langs+=" ${i}"
- fi
- done
- sed -i \
- -e "/^LANGUAGES =/ s/=.*/= $langs/" \
- src/po/Makefile || die
- fi
+ l10n_find_plocales_changes "src/po" "" ".po" || die
+ sed -i \
+ -e "/^LANGUAGES =/ s/=.*/= $(l10n_get_locales)/" \
+ src/po/Makefile || die
}
src_compile() {